unit AboutBox;

{$mode objfpc}{$H+}


interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs, Compiler,
  StdCtrls, ExtCtrls;

Const
     cOSCPU = {$I %FPCTARGETCPU%} + ' ' + {$I %FPCTARGETOS%};
     cCompileDate = 'At ' + {$I %TIME%} + ' on ' +{$I %DATE%};
     cVersion = '0.19.4-pre7';

{$I revision.inc}
{$I svn-revision.inc}

type

  { TAboutForm }

  TAboutForm = class(TForm)
    CompilerVers: TLabel;
    CompileDate: TLabel;
    Image1: TImage;
    Image2: TImage;
    Label1: TLabel;
    BSTVersion: TLabel;
    Label3: TLabel;
    BSTSvnRevNo: TLabel;
    Label4: TLabel;
    PropBasicVersion: TLabel;
    LazSVNRevNo: TLabel;
    LazSVNRev: TLabel;
    Memo1: TMemo;
    OSCPU: TLabel;
    Label2: TLabel;
    procedure CloseBtnClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    function Version : String;
    function CompileTime : String;
    function Architecture : String;
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  AboutForm: TAboutForm;

implementation

{ TAboutForm }

function TAboutForm.Version : String;
Begin
  Result := cVersion;
End;

function TAboutForm.CompileTime : String;
Begin
  Result := cCompileDate;
End;

function TAboutForm.Architecture : String;
Begin
  Result := cOSCPU;
End;

procedure TAboutForm.FormCreate(Sender: TObject);
Var
  Compiler  : TCompilerForm;
begin
  Compiler := TCompilerForm.Create(Self);
  CompilerVers.Caption := Compiler.fVersion;
  Compiler.Free;
  OSCPU.Caption:= cOSCPU;
  CompileDate.Caption := cCompileDate;
  BSTVersion.Caption := cVersion;
  LazSVNRevNo.Caption := RevisionStr;
  BSTSvnRevNo.Caption := BSTSvnRev;
end;

procedure TAboutForm.FormShow(Sender: TObject);
begin
  Memo1.VertScrollBar.Position:=0;
end;

procedure TAboutForm.CloseBtnClick(Sender: TObject);
begin
  Close;
end;

initialization
  {$R *.lfm}
end.

